package org.lunamc.letthemeatcake;

import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.entity.Player;
import org.bukkit.plugin.java.JavaPlugin;
import org.jetbrains.annotations.NotNull;

import java.util.ArrayList;
import java.util.List;

public class JoinGameCommand implements CommandExecutor {

    private static List<Game> games = new ArrayList<>();
    private static List<Player> playerQueue = new ArrayList<>();

    private final JavaPlugin plugin;

    public JoinGameCommand(JavaPlugin plugin) {
        this.plugin = plugin;
    }

    @Override
    public boolean onCommand(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label, @NotNull String[] args) {
        if (sender instanceof Player player) {
            for (Game game : games) {
                if (game.isOpen()) {
                    game.addPlayer(player);
                }
            }
        }
        return true;
    }
}
